clear
clc
close all
Vspan = [0 5]; % Range for the independent variable i.e.volume of the reactor
y0 = [315.; 305.; 0]; % Initial values for the dependent variables Ta,T, and x

[v y]=ode45(@ODEfun,Vspan,y0);
z=size(y);
for i=1 : z(1,1)
    %Calculating the values of equilibrium conversion from the following expressions
Kc(i)=3.03*exp(-830.3*(y(i,2)-333)/(y(i,2)*333));
Xe(i)=Kc(i)/(1+Kc(i));
end
plot(v,y(:,3),v,Xe);
legend('X','X_e')
ylabel('X');
xlabel('V(m^3)');
title('Conversion profile down the reactor for counter current heat exchange')


